Freeciv-3.1: info_tab Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Protected Member Functions | Private Member Functions | Private Attributes
info_tab Class Reference

`#include <messagewin.h>`

Inheritance diagram for info_tab:

## Public Member Functions

| info_tab (QWidget *parent)
void | max_chat_size ()
void | maximize_chat ()
void | restore_chat ()

## Data Fields

QGridLayout * | layout
messagewdg * | msgwdg
chatwdg * | chtwdg
bool | chat_maximized
Data Fields inherited from fcwidget
bool | was_destroyed

## Protected Member Functions

void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
int & | e_pos ()

## Private Member Functions

void | update_menu ()

## Private Attributes

QPoint | cursor
QSize | last_size
move_widget * | mw
bool | hidden_state
bool | resize_mode
bool | resxy
bool | resx
bool | resy

## Detailed Description

Definition at line 71 of file messagewin.h.

## Constructor & Destructor Documentation

## ◆ info_tab()

info_tab::info_tab | ( | QWidget * | parent | ) |

info_tab constructor

Definition at line 36 of file messagewin.cpp.

## Member Function Documentation

## ◆ e_pos()

int & info_tab::e_pos | ( |  | ) |

protected

## ◆ max_chat_size()

void info_tab::max_chat_size | ( |  | ) |

## ◆ maximize_chat()

void info_tab::maximize_chat | ( |  | ) |

Maximizes size of chat

Definition at line 75 of file messagewin.cpp.

## ◆ mouseMoveEvent()

void info_tab::mouseMoveEvent | ( | QMouseEvent * | event | ) |

protected

Called when mouse moved (mouse track is enabled). Used for resizing info_tab.

Definition at line 146 of file messagewin.cpp.

## ◆ mousePressEvent()

void info_tab::mousePressEvent | ( | QMouseEvent * | event | ) |

protected

Checks if info_tab can be moved

Definition at line 86 of file messagewin.cpp.

## ◆ mouseReleaseEvent()

void info_tab::mouseReleaseEvent | ( | QMouseEvent * | event | ) |

protected

Restores cursor when resizing is done

Definition at line 118 of file messagewin.cpp.

## ◆ restore_chat()

void info_tab::restore_chat | ( |  | ) |

Sets chat to default size of 3 lines

Definition at line 64 of file messagewin.cpp.

Referenced by mouseMoveEvent(), and fc_game_tab_widget::resizeEvent().

## ◆ update_menu()

void info_tab::update_menu | ( |  | ) |

privatevirtual

Inherited from abstract parent, does nothing here

Implements fcwidget.

Definition at line 196 of file messagewin.cpp.

## Field Documentation

## ◆ chat_maximized

bool info_tab::chat_maximized

Definition at line 82 of file messagewin.h.

Referenced by maximize_chat(), and restore_chat().

## ◆ chtwdg

chatwdg* info_tab::chtwdg

Definition at line 79 of file messagewin.h.

Referenced by apply_font(), info_tab(), maximize_chat(), restore_chat(), and fc_client::switch_page().

## ◆ cursor

QPoint info_tab::cursor

private

Definition at line 85 of file messagewin.h.

Referenced by mouseMoveEvent(), and mousePressEvent().

## ◆ hidden_state

bool info_tab::hidden_state

private

Definition at line 88 of file messagewin.h.

## ◆ last_size

QSize info_tab::last_size

private

Definition at line 86 of file messagewin.h.

## ◆ layout

QGridLayout* info_tab::layout

Definition at line 77 of file messagewin.h.

Referenced by info_tab().

## ◆ msgwdg

messagewdg* info_tab::msgwdg

Definition at line 78 of file messagewin.h.

Referenced by info_tab(), maximize_chat(), and restore_chat().

## ◆ mw

move_widget* info_tab::mw

private

Definition at line 87 of file messagewin.h.

Referenced by info_tab().

## ◆ resize_mode

bool info_tab::resize_mode

private

Definition at line 89 of file messagewin.h.

Referenced by info_tab(), mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().

## ◆ resx

bool info_tab::resx

private

Definition at line 91 of file messagewin.h.

Referenced by info_tab(), mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().

## ◆ resxy

bool info_tab::resxy

private

Definition at line 90 of file messagewin.h.

Referenced by info_tab(), mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().

## ◆ resy

bool info_tab::resy

private

Definition at line 92 of file messagewin.h.

Referenced by info_tab(), mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().